Skip to content
Start here

Delete an interconnect object

client.networkInterconnects.interconnects.delete(stringicon, InterconnectDeleteParams { account_id } params, RequestOptionsoptions?): void
DELETE/accounts/{account_id}/cni/interconnects/{icon}

Delete an interconnect object

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
icon: string
params: InterconnectDeleteParams { account_id }
account_id: string

Customer account tag

Delete an interconnect object

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.networkInterconnects.interconnects.delete('icon', { account_id: 'account_id' });
Returns Examples